:) paperlesspaper docs
API ReferencePapersUploadsingleimagePaperid

Upload a single image for a paper

Handles uploading one or more images and attaches them to the specified paper.

POST
/papers/uploadSingleImage/{paperId}
x-api-key<token>

API key for authentication

In: header

Path Parameters

paperIdstring

A valid MongoDB ObjectId

picture?string

Source image file. (Older clients may send this field twice)

pictureDevice?string

Optional device-ready image uploaded without extra processing.

pictureEditable?string

Optional JSON string with editable fabric.js state.

forceUpload?string

Set to true to upload to the physical frame even if the image matches the existing paper image.

snapshotCurrentFrame?string

Set to true only when the target frame was already showing this paper before upload.

settings?string

Optional JSON string merged into paper.meta before upload.

Response Body

application/json

curl -X POST "https://api.paperlesspaper.de/v1/papers/uploadSingleImage/682fd0d7d4a6325d9d45b870"
{
  "id": "string",
  "title": "string",
  "content": "string",
  "author": "string",
  "createdAt": "string",
  "updatedAt": "string",
  "imageUpdatedAt": "string"
}